New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Support non-browser environments in jQuery Compat #2501

Closed
mgol opened this Issue Jul 27, 2015 · 6 comments

Comments

Projects
None yet
3 participants
@mgol
Member

mgol commented Jul 27, 2015

Per today's meeting, we'll try to support non-browser environments in jQuery Compat.

@mgol mgol self-assigned this Jul 27, 2015

@mgol mgol added this to the 3.0.0 milestone Jul 27, 2015

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

@mgol

This comment has been minimized.

Show comment
Hide comment
@mgol

mgol Jul 28, 2015

Member

PR: #2504.

Member

mgol commented Jul 28, 2015

PR: #2504.

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

mgol added a commit to mgol/jquery that referenced this issue Jul 28, 2015

mgol added a commit to mgol/jquery that referenced this issue Aug 16, 2015

@markelog

This comment has been minimized.

Show comment
Hide comment
@markelog

markelog Sep 7, 2015

Member

Landed via 04ec688

Member

markelog commented Sep 7, 2015

Landed via 04ec688

@markelog markelog closed this Sep 7, 2015

@mgol

This comment has been minimized.

Show comment
Hide comment
@mgol

mgol Nov 5, 2015

Member

I'd like to not backport it to 1.12.

Member

mgol commented Nov 5, 2015

I'd like to not backport it to 1.12.

@timmywil

This comment has been minimized.

Show comment
Hide comment
@timmywil

timmywil Nov 5, 2015

Member

@mzgol I agree

Member

timmywil commented Nov 5, 2015

@mzgol I agree

@mgol mgol removed this from the 3.0.0 milestone Nov 9, 2015

@mgol mgol added wontfix and removed Has Pull Request labels Nov 9, 2015

@markelog

This comment has been minimized.

Show comment
Hide comment
@markelog

markelog Dec 22, 2015

Member

Since 1.12 will be released, i will remove wontfix label

Member

markelog commented Dec 22, 2015

Since 1.12 will be released, i will remove wontfix label

@markelog markelog removed the wontfix label Dec 22, 2015

@mgol

This comment has been minimized.

Show comment
Hide comment
@mgol

mgol Dec 22, 2015

Member

I'd like it to stay wontfix. Supporting non-browser wnvironments requires some effort and IE<8-specific code can be problematic. I don't want to guarantee that 1.x is now good for non-browser, it better stay unsupported, it won't live much longer anyway.

Member

mgol commented Dec 22, 2015

I'd like it to stay wontfix. Supporting non-browser wnvironments requires some effort and IE<8-specific code can be problematic. I don't want to guarantee that 1.x is now good for non-browser, it better stay unsupported, it won't live much longer anyway.

@cssmagic cssmagic referenced this issue May 18, 2016

Open

jQuery #5

@lock lock bot locked as resolved and limited conversation to collaborators Jun 19, 2018

Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.